---
title: "Search for client cases"
url: "https://developers.zinnia.com/apis/illustration-client-cases/versions/a31534b3-f446-4f8d-8b26-1106d7bdfb11/paths/client-case-manager-v1-client-case-search/get"
---

> Full API specification: https://developers.zinnia.com/apis/illustration-client-cases/versions/a31534b3-f446-4f8d-8b26-1106d7bdfb11.md

# Search for client cases

`GET` `/client-case-manager/v1/client-case/search`

Search for client cases using query parameters as filters. Returns all client cases accessible by the logged user that match all filters specified. If no filters are specified returns all client cases accessible by the logged user

## Query parameters

- `title` (string, optional)
- `agentFirstName` (string, optional)
- `agentLastName` (string, optional)
- `insuredFirstName` (string, optional)
- `insuredLastName` (string, optional)
- `eAppId` (string, optional)
- `caseManagementCaseId` (string, optional)
- `creatorName` (string, optional)
- `offset` (integer, int32, optional)
- `limit` (integer, int32, optional)
- `sortBy` (string, optional)
- `sortDir` (string, optional)

## Responses

- `200` - Search executed successfully. List of client case summaries is returned

## OpenAPI definition

```yaml
openapi: 3.0.4
info:
  title: Zinnia Illustration Client Cases Api
  version: v1
servers:
  - url: https://uat.api.zinnia.io
    description: Main server address for this environment
paths:
  /client-case-manager/v1/client-case/search:
    get:
      tags:
        - ClientCase
      summary: Search for client cases
      description: Search for client cases using query parameters as filters. Returns
        all client cases accessible by the logged user that match all filters
        specified. If no filters are specified returns all client cases
        accessible by the logged user
      parameters:
        - name: title
          in: query
          schema:
            type: string
        - name: agentFirstName
          in: query
          schema:
            type: string
        - name: agentLastName
          in: query
          schema:
            type: string
        - name: insuredFirstName
          in: query
          schema:
            type: string
        - name: insuredLastName
          in: query
          schema:
            type: string
        - name: eAppId
          in: query
          schema:
            type: string
        - name: caseManagementCaseId
          in: query
          schema:
            type: string
        - name: creatorName
          in: query
          schema:
            type: string
        - name: offset
          in: query
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
            default: 0
        - name: limit
          in: query
          schema:
            maximum: 100
            minimum: 1
            type: integer
            format: int32
            default: 50
        - name: sortBy
          in: query
          schema:
            $ref: "#/components/schemas/ClientCaseSortField"
        - name: sortDir
          in: query
          schema:
            $ref: "#/components/schemas/SortDirection"
      responses:
        "200":
          description: Search executed successfully. List of client case summaries is
            returned
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ClientCaseSummaryDtoResultsPage"
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    ClientCaseSortField:
      enum:
        - Title
        - AgentFirstName
        - AgentLastName
        - InsuredFirstName
        - InsuredLastName
        - LastModified
      type: string
    SortDirection:
      enum:
        - Ascending
        - Descending
      type: string
    ClientCaseSummaryDtoResultsPage:
      type: object
      properties:
        count:
          type: integer
          format: int64
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: "#/components/schemas/ClientCaseSummaryDto"
          nullable: true
      additionalProperties: false
    ClientCaseSummaryDto:
      type: object
      properties:
        agencyId:
          type: string
          nullable: true
        agencyName:
          type: string
          nullable: true
        id:
          type: string
          format: uuid
        carrierCode:
          type: array
          items:
            type: string
          nullable: true
        title:
          type: string
          nullable: true
        agentDetails:
          $ref: "#/components/schemas/AgentDetails"
        insuredDetails:
          $ref: "#/components/schemas/InsuredDetailsDto"
        transactionType:
          $ref: "#/components/schemas/TransactionType"
        isMec:
          type: boolean
        productTypes:
          type: array
          items:
            $ref: "#/components/schemas/ProductType"
          nullable: true
        illustrationsCount:
          type: integer
          format: int32
        lastModified:
          type: string
          format: date-time
        lastModifiedBy:
          type: string
          nullable: true
        createdBy:
          type: string
          nullable: true
        creatorName:
          type: string
          nullable: true
      additionalProperties: false
    AgentDetails:
      type: object
      properties:
        sellingCode:
          type: string
          nullable: true
        npn:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
      additionalProperties: false
    InsuredDetailsDto:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        sexAtBirth:
          $ref: "#/components/schemas/SexAtBirth"
        dateOfBirth:
          type: string
          format: date-time
        nicotineUser:
          type: boolean
        state:
          type: string
          nullable: true
        illustrateAtOlderAge:
          type: boolean
          nullable: true
        issueAge:
          type: integer
          format: int32
          nullable: true
        underwritingClass:
          $ref: "#/components/schemas/UnderwritingClass"
        underwritingClassCode:
          type: integer
          format: int32
          nullable: true
          readOnly: true
      additionalProperties: false
    TransactionType:
      enum:
        - REPLACEMENT
        - NONREPLACEMENT
        - CONVERSION
      type: string
    ProductType:
      enum:
        - TERM
        - UNIVERSAL_LIFE
        - INDEX_UNIVERSAL_LIFE
      type: string
    SexAtBirth:
      enum:
        - MALE
        - FEMALE
      type: string
    UnderwritingClass:
      enum:
        - ULTRANONTOBACCO
        - ELITENONTOBACCO
        - PREFERREDNONTOBACCO
        - STANDARDNONTOBACCO
        - STANDARDTOBACCO
        - STANDARDAGGREGATE
        - SUBSTANDARDNONTOBACCO
        - SUBSTANDARDTOBACCO
        - STANDARDPLUSNONTOBACCO
        - PREFERREDTOBACCO
        - STANDARDCONVERSIONNONTOBACCO
        - STANDARDCONVERSIONTOBACCO
        - STANDARDPLUSBLEND
        - STANDARDPLUSTOBACCO
        - STANDARDBLEND
        - SUBSTANDARDBLEND
        - PREFERREDSELECTNONTOBACCO
        - PREFERREDSELECTBLEND
        - PREFERREDSELECTTOBACCO
        - PREFERREDBLEND
      type: string
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.uat.zinnia.com/
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          audience_claim:
            - aud
          audience_required:
            - https://uat.api.zinnia.io
          auth_methods:
            - bearer
          scopes: []
        enabled: true
        protocols:
          - http
          - https
```
